Bug 1009118 - pulp consumer fails to register
pulp consumer fails to register
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: rpm-support (Show other bugs)
Master
Unspecified Unspecified
high Severity high
: ---
: 2.3.0
Assigned To: Jeff Ortel
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 13:55 EDT by Preethi Thomas
Modified: 2013-12-09 09:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:31:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-09-17 13:55:27 EDT
Description of problem:

Looks like consumer register fails with ImportError: No module named oauth2

Version-Release number of selected component (if applicable):
[root@pulp-v2-client ~]# rpm -qa |grep pulp
python-isodate-0.5.0-1.pulp.el6.noarch
python-pulp-rpm-common-2.3.0-0.12.alpha.el6.noarch
pulp-consumer-client-2.3.0-0.12.alpha.el6.noarch
pulp-rpm-handlers-2.3.0-0.12.alpha.el6.noarch
python-rhsm-1.8.0-1.pulp.el6.x86_64
python-pulp-common-2.3.0-0.12.alpha.el6.noarch
python-pulp-bindings-2.3.0-0.12.alpha.el6.noarch
python-pulp-rpm-extension-2.3.0-0.12.alpha.el6.noarch
python-pulp-client-lib-2.3.0-0.12.alpha.el6.noarch
pulp-agent-2.3.0-0.12.alpha.el6.noarch
pulp-rpm-consumer-extensions-2.3.0-0.12.alpha.el6.noarch
pulp-rpm-yumplugins-2.3.0-0.12.alpha.el6.noarch
m2crypto-0.21.1.pulp-8.el6.x86_64
python-pulp-agent-lib-2.3.0-0.12.alpha.el6.noarch
python-pulp-puppet-common-2.3.0-0.12.alpha.el6.noarch
pulp-puppet-consumer-extensions-2.3.0-0.12.alpha.el6.noarch
pulp-puppet-handlers-2.3.0-0.12.alpha.el6.noarch
[root@pulp-v2-client ~]# 


How reproducible:


Steps to Reproduce:

[root@pulp-v2-client ~]# pulp-consumer -u admin -p admin register
Traceback (most recent call last):
  File "/usr/bin/pulp-consumer", line 9, in <module>
    load_entry_point('pulp-client-consumer==2.3.0', 'console_scripts', 'pulp-consumer')()
  File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 299, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 2229, in load_entry_point
    return ep.load()
  File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 1948, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
  File "/usr/lib/python2.6/site-packages/pulp/client/consumer/__init__.py", line 18, in <module>
    from pulp.client import launcher
  File "/usr/lib/python2.6/site-packages/pulp/client/launcher.py", line 29, in <module>
    from pulp.bindings.server import PulpConnection
  File "/usr/lib/python2.6/site-packages/pulp/bindings/server.py", line 18, in <module>
    import oauth2 as oauth
ImportError: No module named oauth2

Actual results:


Expected results:


Additional info:
Comment 1 Jeff Ortel 2013-09-17 18:15:15 EDT
https://github.com/pulp/pulp/pull/621
Comment 2 Jeff Ortel 2013-09-18 19:58:40 EDT
build: 2.3.0-0.14.alpha
Comment 3 Preethi Thomas 2013-09-19 11:01:02 EDT
verified

[root@pulp-v2-client ~]# pulp-consumer -u admin -p admin register --consumer-id pulp-client
Consumer [pulp-client] successfully registered

[root@pulp-v2-client ~]# rpm -qa pulp-consumer-client
pulp-consumer-client-2.3.0-0.14.alpha.el6.noarch
Comment 4 Preethi Thomas 2013-12-09 09:31:10 EST
Pulp 2.3 released.

Note You need to log in before you can comment on or make changes to this bug.